<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
//include "menubar.php";
require('ourfuncs.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Add Material Stock </title>
 
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery.datetimepicker.full.js"></script> 
<script type="text/javascript" src="js/jquery-ui.js"></script>

<link rel="stylesheet" type="text/css" href="css/jquery-ui-1.10.4.custom.css" /> 
<link rel="stylesheet" type="text/css" href="css/main.css" />
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="css/jquery.datetimepicker.css" />
<script type="text/javascript" language="javascript" src="js/jquery.dataTables.js"></script>
<link rel="stylesheet" type="text/css" href="css/jquery.dataTables.css">
<style type="text/css">
#btnholder{margin-left:3cm;}

.submitbutton{
width: 180px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
  
#mat_add{
height: 30px;
border:solid 1px #DEDEDE;
background-color:#7CFC00;
color:#222222;
padding:5px 0 2px 0;
text-align:center;
font-weight:300;
font-size: 12px;
}
</style>
 
<script type="text/javascript">
$(document).ready(function() {

        $( "#dialog-message" ).dialog({
			modal: true,
			width: 370,
			buttons: {
				Ok: function() {
					window.location.replace("stocks.php");
				}
			}
		});  

// DataTable configuration
  $('#tablelist').dataTable( {
	"bSort": false,
	"iDisplayLength": 50,
	"aLengthMenu": [[10, 25, 50, 100, 200, -1], [10, 25, 50, 100, 200, "All"]]
  } );
// end of DataTable configuration		
});

function getum(inix){ 
 var rmatu = $.get("getrawmatum.php?r="+$("#rid"+inix).val(), function(data){ 
                                                document.getElementById("um"+inix).value = data;
						});   
    }
</script>

</head>
<body>

<!-- Main Body starts here -->


<!-- processing the user_form data submitted-->
<?php 
if (isset($_POST['submit']))
{      
echo '<div id="breadcrumbrm"> Material Stock Entry Input</div>';    
$idate = mysqli_real_escape_string($conn, $_POST['idate']);
$ts = date("Y-m-d H:i:s");
$grnno = getnewdocno($conn, "grnno");
$sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
for($i=1; $i<11; $i++)
if ($_POST['rid'.$i] !== ""){
  $r = "0";		$m = $_POST['mat'.$i];		$rid = $_POST['rid'.$i];
  $query = "SELECT rawmat.sku, id FROM rawmat WHERE id = '$rid';";	
  $result = mysqli_query($conn, $query) or die(mysqli_error($conn));
  if ($rowb = mysqli_fetch_assoc($result)) { $sku = $rowb['sku'];  $r = $rowb['id']; } 
  if (($r !== "0") && ($m !== "")){ 
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]); 
    $invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);
    $storeid = mysqli_real_escape_string($conn, $_POST['storeid'.$i]);
	
	if( ($_POST['lotex'.$i] !== '') && ($_POST['lotex'.$i] !== '--') && ($_POST['lotex'.$i] !== NULL) ){ 
		$lotex = mysqli_real_escape_string($conn, $_POST['lotex'.$i]);
		$lotex = substr($lotex,6,4)."-".substr($lotex,3,2)."-".substr($lotex,0,2); 
	}
	else { $lotex = NULL; }
    $btag = mysqli_real_escape_string($conn, $_POST['btag'.$i]);
	/* $exr = mysqli_real_escape_string($conn, $_POST['erate'.$i]);
	$costp = mysqli_real_escape_string($conn, $_POST['costp'.$i]);  */
    
                                                        // Inserting data into stockins table
    $sql = "INSERT INTO stockins (idate, grnno, recpmat, sku, um, rid, storeid, iqty, invno, btag, lotex, ts) VALUES ('$sqlidate', '$grnno', '$m', '$sku', '$um', '$rid', '$storeid', '$iqty', '".$invno."', '".$btag."', '".$lotex."', '".$ts."')";
    //echo $sql;
	
	$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}  

    echo '<div id="dialog-message" title="Update Confirmation !"><p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>   New Material Stock Saved!</p></div>';
mysqli_close($conn);
} 
                                                                // display form
elseif (isset($_POST['addnew'])) {
  echo '<div id="breadcrumbrm">New Material Stock Input</div>';  
  echo '<form id="add_mat" action="#" method="post" name="user_form">
    <center><b><label for="idate">Stock In Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" size="10" required="required" title="Stock IN Date"/>
<table cellspacing="10px">
    <th>SKU</th> 
	<th>Material</th>   
    <th>Measure</th>   
    <th>Quantity</th>
    <th>To Store</th>
	<th>Doc No.</th>
	<th>Batch No.</th>
	<th>Lot Exp.</th>'; 
for($i=1; $i<11; $i++){
 echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:100px" onchange="getrmdets('.$i.');"/>'.selrawskus($conn).'</select></td>
            <td><input name="mat'.$i.'" id="mat'.$i.'" type="text" value="" readonly size="30" /></td>
			<td align="center"><select id="um'.$i.'" name="um'.$i.'" style="width:80px"/> 
            </select></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="6" /></td>
            <td><select name="storeid'.$i.'" id="storeid'.$i.'">'.selstores($conn).'</select></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" size="6" /></td>
			<td><input name="btag'.$i.'" id="btag'.$i.'" type="text" size="8" /></td>
            <td><input name="lotex'.$i.'" id="lotex'.$i.'" type="text" size="8" /></td>
        </tr>';
		echo "<script> $('#lotex".$i."').datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' });
			$('#supp".$i."').autocomplete({ source:".allsupps($conn).", minLength: 2 }); 	</script>";
    }
 
echo '<tr>  
        <div id="btnholder">
	<td colspan="5"> <input class="submitbutton" name="submit" type="submit" value=" Save New Material Stock " /> </td>
        <td colspan="5"><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Return"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  

}

                                                                // display edit form
elseif (isset($_GET['g'])) {
  $grnno =   $_GET['g'];
  echo '<div id="breadcrumbrm">Edit Material Stock In Entry No.'.$grnno.' </div>';  
  $sql = "SELECT * FROM stockins WHERE grnno = '$grnno';";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));    $i=1; 
  if ($row = mysqli_fetch_assoc($result)) 
        {
        $storeid = $row['storeid'];
        $sku = $row['sku'];
        $mat = $row['recpmat'];
		if(($row['idate'] !== '--') && ($row['idate'] !== '')){
			list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
			$idate = implode("-", array($day, $month, $year));
		}
		else{ $idate = NULL; }
        $rid = $row['rid'];
	//	$sku = getrawsku($conn, $rid);
        $iqty = $row['iqty'];
        $um = $row['um'];
        $id = $row['id'];
		$btag = $row['btag'];
		if(($row['lotex'] !== '--') && ($row['lotex'] !== '')){
			list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['lotex'])); 
			$lotex = implode("-", array($day, $month, $year));
		}
		else{ $lotex = NULL; }		
        $invno = $row['invno'];
        } 
  echo '<form id="add_mat" action="addstock.php" method="post" name="user_form">
    <center><b><label for="idate">Stock In Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" class="datepicker" size="10" value="'.$idate.'" required="required" title="Stock IN Date"/>

    <input name="grnno" id="grnno" type="hidden" value="'.$grnno.'"/>
    <table cellspacing="10px">
        <th>SKU</th>
		<th>Material</th>   
        <th>Measure</th>   
        <th>Quantity</th>
        <th>To Store</th>
        <th>Doc No.</th>
		<th>Batch No.</th>
		<th>Lot Exp.</th>'; 
  echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:180px" onchange="getrmdets('.$i.');" selected><option value="'.$rid.'">'.$sku.'</option>'.selrawskus($conn).'</select></td>'
          .'<td><input name="mat'.$i.'" id="mat'.$i.'" type="text" value="'.$mat.'" size="30" /></td>'
		  . '<td align="center"><div><select id="um'.$i.'" name="um'.$i.'" style="width:80px" selected> <option value="'.$um.'">'.$um.'</option>
             </select></div></td>
             <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" value="'.$iqty.'" size="6" /></td>
			 <td><select name="storeid'.$i.'" id="storeid'.$i.'" selected><option>'.$storeid.'</option><option>'.selstores($conn).'</option></select></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" value="'.$invno.'" size="6" /></td>
			<td><input name="btag'.$i.'" id="btag'.$i.'" type="text" value="'.$btag.'" size="8" /></td>
            <td><input name="lotex'.$i.'" id="lotex'.$i.'" type="text" value="'.$lotex.'" size="8" /></td></tr>';
    $i++;
    while ($row = mysqli_fetch_assoc($result)) 
        {
        $storeid = $row['storeid'];
        $mat = $row['recpmat'];
        $rid = $row['rid'];
        $iqty = $row['iqty'];
        $um = $row['um'];
        $id = $row['id'];
		$btag = $row['btag'];
		if(($row['lotex'] !== '--') && ($row['lotex'] !== '')){
			list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['lotex'])); 
			$lotex = implode("-", array($day, $month, $year));
		}
		else{ $lotex = NULL; }
		$sku = $row['sku'];
        $invno = $row['invno'];
        echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:180px" onchange="getrmdets('.$i.');" selected><option value="'.$rid.'">'.$sku.'-'.$mat.'</option>'.selrawskus($conn).'</select></td>
          <td><input name="mat'.$i.'" id="mat'.$i.'" type="text" value="'.$mat.'" size="30" /></td>
		   <td align="center"><div><select id="um'.$i.'" name="um'.$i.'" style="width:80px" selected> <option value="'.$um.'">'.$um.'</option>
            </select></div></td>
             <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" value="'.$iqty.'" size="6" /></td>
             <td><select name="storeid'.$i.'" id="storeid'.$i.'" selected><option>'.$storeid.'</option><option>'.selstores($conn).'</option></select></td>
             <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" value="'.$invno.'" size="6" /></td>
			 <td><input name="btag'.$i.'" id="btag'.$i.'" type="text" value="'.$btag.'" size="8" /></td>
            <td><input name="lotex'.$i.'" id="lotex'.$i.'" type="text" value="'.$lotex.'" size="8" /></td></tr>';
        $i++;
        }
  
for($j=$i; $j<11; $j++){
 echo '<tr><td><select name="rid'.$j.'" id="rid'.$j.'" style="width:180px" onchange="getrmdets('.$j.');;" selected><option value="">---</option>'.selrawskus($conn).'</select></td>
           <td><input name="mat'.$j.'" id="mat'.$j.'" type="text" value="" size="30" /></td> 
			<td align="center"><div><select id="um'.$j.'" name="um'.$j.'" style="width:80px" selected> <option value=""></option>
            </select></div></td>
            <td><input name="iqty'.$j.'" id="iqty'.$j.'" type="text" size="6" /></td>
			<td><select name="storeid'.$j.'" id="storeid'.$j.'"><option>'.selstores($conn).'</option></select></td>
            <td><input name="invno'.$j.'" id="invno'.$j.'" type="text" size="6" /></td>
			<td><input name="btag'.$j.'" id="btag'.$j.'" type="text" size="8" /></td>
            <td><input name="lotex'.$j.'" id="lotex'.$j.'" type="text" size="8" /></td>
        </tr>';
    }
 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="saveedentry" type="submit" value="Save Entry" /> </td>
        <td><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
for($j=1; $j<11; $j++){ echo "<script> $('#lotex".$j."').datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' });
			$('#supp".$j."').autocomplete({ source:".allsupps($conn).", minLength: 2 });	</script>"; 
		}
}
                                                                // Save edited Stock Entry
elseif (isset($_POST['saveedentry'])) {
  $grnno =  mysqli_real_escape_string($conn, $_POST['grnno']);  
  echo '<div id="breadcrumbrm">Saving Edited Stock Entry No.'.$grnno.' </div>'; 
  $idate = mysqli_real_escape_string($conn, $_POST['idate']);
  $sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
                                                      // deleting old data from stockins table
    $sql = "DELETE FROM stockins WHERE grnno = '$grnno'";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
   
for($i=1; $i<11; $i++){
  if ($_POST['rid'.$i] !== ""){ 
    $rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
    $recpmat = getrawmatname($conn, $rid);
	$sku = getrawsku($conn, $rid);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
    $ts = date("Y-m-d-H-i-s");
    $storeid = mysqli_real_escape_string($conn, $_POST['storeid'.$i]);
    $invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);
	$btag = mysqli_real_escape_string($conn, $_POST['btag'.$i]);
	if(($_POST['lotex'.$i] !== '--') && ($_POST['lotex'.$i] !== '')){
		$lotex = substr($_POST['lotex'.$i],6,4)."-".substr($_POST['lotex'.$i],3,2)."-".substr($_POST['lotex'.$i],0,2);
	}
	else{ $lotex = NULL; }
		// Inserting data into stockins table
    $sql = "INSERT INTO stockins (idate, grnno, recpmat, um, rid, sku, storeid, iqty, invno, lotex, btag, ts) VALUES ('$sqlidate', '$grnno', '$recpmat', '$um', '$rid', '$sku', '$storeid', '$iqty', '$invno','$lotex','$btag','$ts')";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}
  
  echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Edited Stock Entry No.'.$grnno.' Saved!</p></div>';
}  

                                                                // do delete on Stock Entry
elseif (isset($_GET['d'])) {
  $grnno =   $_GET['d'];
  echo '<div id="breadcrumbrm">Delete Material Stock In Entry No.'.$grnno.' </div>';  
  $sql = "DELETE FROM stockins WHERE grnno = '$grnno'";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  echo '<div id="dialog-message" title="Delete Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Material Stock Entry No.'.$grnno.' Deleted!</p></div>';
} 

                                                                // display Stock In List
else {
 echo '<div id="breadcrumbrm">Material Stock Input List</div>';   
 echo '<center><form id="add_mat" action="#" method="post" name="user_form">'; 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="addnew" type="submit" value=" Add New Material Stock " /> </td>
        <td><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</form></center><br/>';
 echo '<center><table id="tablelist" cellspacing="10px" cellpadding="10px"><tr>
    <th>GRN No.</th>  <th>Date</th> <th>SKU</th> <th>Material</th> <th>Qty</th> <th>Lot No.</th> <th>To Store</th> <th>Action</th>
    </tr>'; 

$sql = "SELECT grnno, idate, sku, recpmat, iqty, btag, storeid FROM stockins ORDER BY idate DESC, grnno DESC;";
$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
while ($row = mysqli_fetch_assoc($result)) 
{
    echo '<tr>';
    echo'<td align="center">'.$row['grnno'].'</td>';
    list($year, $month, $day) = explode('-', $row['idate']); 
    $bdt = implode("-", array($day, $month, $year));
    echo'<td align="center">'.$bdt.'</td>';
	echo'<td align="left">'.$row['sku'].'</td>';
	echo'<td align="left">'.$row['recpmat'].'</td>';
	echo'<td align="center">'.$row['iqty'].'</td>';
	echo'<td align="center">'.$row['btag'].'</td>';
	echo'<td align="center">'.$row['storeid'].'</td>';
  //  echo'<td align="center">'.$row['storeid'].'</td>';
    echo '<td><a href="addstock.php?g='.$row['grnno'].'"> EDIT</a> &nbsp;&nbsp; <a href="addstock.php?d='.$row['grnno'].'"> DELETE</a> </td>';
    echo '</tr>';
}
echo '</table></center>';   
   
}
?>

<script>
$('#idate').datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' });

function getrmdets(inix){ 
 var rmatu = $.get("getrmsidets.php?r="+$("#rid"+inix).val()+"&s="+$("#storeid"+inix).val(), function(data){ 
                                        var mybno = data.split(">");
										document.getElementById("mat"+inix).value = mybno[3];
										var x = document.getElementById("um"+inix);
										var option = document.createElement("option");
										option.value = mybno[0];
										console.log(option.value);
										option.text = mybno[0];
										x.add(option); 	
																	
						});   
};
</script>

<div style='height:15px;'></div>

</body>

</html>