<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
$grp = intval($_SESSION['authgrp']);
require('db_link.php');

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
<meta http-equiv="Content-Type" content="text/html; nosniff; charset=UTF-8" />
<title>MAIMUN | Materials Stock List </title>
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery-ui.js"></script>
<link rel="stylesheet" type="text/css" href="css/main.css">
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css">

<style type="text/css">
<!--
.right{ text-align: right; }
.left{ text-align: left; }

.activatelink
{
font-weight:bold;
color:blue;
text-decoration:none;
text-transform:none;
}

.submitbutton{
margin-left:6cm;
width: 130px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

#tablelist
{
font-family:"Trebuchet MS";
width:100%;
border-collapse:collapse;
margin-left: 40px;
}
#tablelist td, #tablelist th
{
font-size:90%;
border:1px solid #B2B2B2;
padding:3px 7px 2px 7px;
}
#tablelist th 
{
color:#000;
}
.recphead 
{
background-color: #DDFFAA;
font-weight:bold;
}
-->
</style>

</head>
<body>

    
<!-- Main Body starts here -->
<table style='width:925px;margin:auto;margin-top:15px;' cellspacing="0" cellpadding="0" align="center" class="tl">
<tr>
<td colspan="3" align="center">
<div id="breadcrumbrm">Materials Stock List <?php echo str_repeat('&nbsp;', 20).$_SESSION['auser']; ?> <img  style="vertical-align:middle;" onclick="window.location.replace('login.php');" src="exit.png"> </img> <span style="font-size:10pt;"> Logout </span> &nbsp;&nbsp; <input type="button"  style="width:100px;" value="PM Stocks" id="pms" name="pms" onclick="dopms();"/></div> 
</td></tr>
<br />

<div class="tc">
<table style='margin:1px auto;border:1px solid #E5EBF2;text-align:left;' align="center">
<tr style='height:6px;'><td colspan="3"></td></tr>
<tr>
  
<div style='height:8px;'></div>
<div id="addbut"> <center>
 <input type="button"  style="width:180px;" value="Export Packed Stocks" id="eps" name="eps"  onclick="window.location.replace('exporttostocks.php');"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
						<a href="addstock.php" class="submitbutton"> &nbsp;New Material Stock Entry &nbsp;</a>
						  <a href="rmorders.php"  class="submitbutton"> &nbsp;New Batch &nbsp;</a></center> </div>
<center>
<table id="tablelist" style="width:80%;" class="display">
<thead>
  <tr class = "recphead">
    <th  class="center"> Serial No. </th>
	<th align="center">SKU </th>
    <th align="center"> Material </th>
    <th align="center"> Qty </th>
    <th align="center"> Measure </th>

    <th align="center"> Store </th>
  </tr>
</thead> 
<tbody> 

<?php
require('ourfuncs.php');
$query = "SELECT ss.recpmat, ss.rid, ss.sku, ss.gqty, ss.um, ss.storeid, ss.svalue FROM ( SELECT tt.recpmat, tt.rid, tt.sku, SUM(tt.sqty) as gqty, tt.umn as um, tt.storeid, tt.cp as svalue FROM (
	SELECT recpmat, rid, sku, sum(IF(um='GRAMS' OR um='MLTRS', iqty/1000, iqty )) as sqty, IF(um='GRAMS','KGS',IF(um='MLTRS','LTRS',um)) as umn, storeid,  costp * sum(IF(um='GRAMS' OR um='MLTRS', iqty/1000, iqty )) as cp FROM stockins GROUP BY rid, recpmat, um, storeid
	UNION SELECT matname, rid, sku, sum(IF(um='GRAMS' OR um='MLTRS', -1*qty/1000, -1*qty )) as sqty, IF(um='GRAMS','KGS',IF(um='MLTRS','LTRS',um)) as umn, storeid, bcost * sum(IF(um='GRAMS' OR um='MLTRS', qty/1000, qty )) as cp FROM rmouts GROUP BY rid, matname, um, storeid) as tt GROUP BY recpmat, rid, um, storeid) as ss WHERE gqty!=0";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$odd = true; $i = 1;
while ($row = mysqli_fetch_assoc($result)) 
{
//echo ($odd == true) ? '<tr class = "odd_row">' : '<tr class = "alt">';
echo '<tr>';
$odd = !$odd;
echo'<td align="center">';
echo $i++;
echo '</td> <td align="left">';
echo $row['sku'];
echo '</td> <td align="left">';
echo getrecpnamefmskus($conn, $row['sku']);
echo '</td> <td align="center">';
echo number_format($row['gqty'],2);
echo '</td> <td align="center">';
echo $row['um']; 
echo '</td> <td align="right">';
//if( $grp ) { echo number_format($row['svalue'],2);
	///		echo '</td> <td align="center">';
	//		}
echo $row['storeid'];
echo '</td></tr>';

}

?>

</tbody>
</table>
    
    
</center>    
<br />


<?php
/*
echo '<center><p><b>Finished Products Stock </b></p>
<table id="tablelist" style="width:80%;" class="display">
<thead>
  <tr class = "recphead">
    <th  class="center"> Serial No. </th>
    <th align="center"> Batch No. </th>
    <th align="center"> Receipe </th>
    <th align="center"> Qty </th>
    <th align="center"> Measure </th>
    <th align="center"> Value </th>
  </tr>
</thead> 
<tbody> ';
$query = "DELETE FROM stokstmp;";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));    
$query = "INSERT INTO stokstmp SELECT recpnam, bno, -1*sum(iqty) as sqty, um, '0', 0 as svalue FROM relorders GROUP BY bno;";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$query = "INSERT INTO stokstmp SELECT recpname, bno, sum(fqty), um, '0', bcost FROM batches GROUP BY bno;";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$query = "SELECT recpmat, rid, sum(sqty) as qty, um, '0', sum(svalue) as gcost FROM stokstmp GROUP BY rid;";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
$odd = true; $i = 1;
while ($row = mysqli_fetch_assoc($result)) 
{
if(floatval($row['qty']) > 0.0){
    echo '<tr>';
    $odd = !$odd;
    echo'<td align="center">';
    echo $i++;
    echo '</td> <td align="center">';
    echo $row['rid']; 
    echo '</td> <td align="left">';
    echo $row['recpmat'];
    echo '</td> <td align="center">';
    echo number_format($row['qty'],2);
    echo '</td> <td align="center">';
    echo $row['um']; 
    echo '</td> <td align="right">';
    echo number_format($row['gcost'],2);
    echo '</td></tr>';
}
}
*/
?>    
</tbody>
</table>
</center>     

<div style='height:15px;'></div>

 </td>
 <td style='width:6px;'></td>
</tr>
<tr style='height:8px;'><td colspan="3"></td></tr>
</table>
</div>
 </td>
</tr>


</table>

<!-- Main Body ends here -->
</body>
</html>
<script type="text/javascript">
function dopms(){
	window.open('pmstocks.php',"PM","width=900px,height=750px,scrollbar=yes");
};
</script>