<?php 
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
    <head> <title>Modify Packing Materials List</title>
        <script type="text/javascript" src="js/jquery-3.3.1.js"></script>
		<script type="text/javascript" src="js/jquery-ui.js"></script>
        <link rel="stylesheet" href="css/main.css" type="text/css" />
        <link rel="stylesheet" href="css/jquery-ui.css" type="text/css" />
        <style type="text/css">
            html, body {margin:0; padding:0; height:100%; width:100%; min-width:100%; min-height:100%;}
        </style>
</head>
<body>		
<p id="breadcrumbpm">Modify Packing Materials <?php echo str_repeat('&nbsp;', 80); ?><img src="reto.png" onclick="window.location.replace('pmstocks.php');"></img></p> 
<?php
require('db_link.php');
require('ourfuncs.php');
if (isset($_POST['addsavexpacc'])) {         //Save pm table
        $rl = intval($_POST['rn']); $orl = intval($_POST['orl']);  
        $i=1;
        while ($i < $orl) {
            $matname = htmlspecialchars($_POST['matname'.$i]);
			$costp = htmlspecialchars($_POST['costp'.$i]);
			$um = htmlspecialchars($_POST['um'.$i]);
            $id = htmlspecialchars($_POST['id'.$i]);
			$sku = htmlspecialchars($_POST['sku'.$i]);
            $ts = date('Y-m-d');
            $query = "UPDATE pmat SET matname = '$matname', sku = '$sku', costp = '$costp', idate = '$ts' WHERE id = '$id'";
            $result = mysqli_query($conn, $query) or die(mysqli_error($conn)); 
            $i++;
        }
        while ($i < $rl) {
            $matname = htmlspecialchars($_POST['matname'.$i]);
			$costp = htmlspecialchars($_POST['costp'.$i]);
			$um = htmlspecialchars($_POST['um'.$i]);
			$sku = htmlspecialchars($_POST['sku'.$i]);
            $ts = date('Y-m-d');
            $query = "INSERT INTO pmat (matname, sku, costp, um,  idate) VALUES ('$matname', '$sku', '$costp','$um', '$ts')";
            $result = mysqli_query($conn, $query) or die(mysqli_error($conn)); 
            $i++;
        }
        if(!$result) { echo "ERROR in Saving Packing Material Table!"; }
        else { echo '<div id="dialog-message" title="PM Modification Status">
                        <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
                        Packing Materials Updated!</p></div>';
                }
}
elseif (isset($_GET['delmatname'])) {         //Delete eyour Code
	$id = htmlspecialchars($_REQUEST['id']);
	$matname = htmlspecialchars($_REQUEST['matname']);
	$query = "SELECT * FROM pmins WHERE recpmat = '$matname'";
    $result = mysqli_query($conn, $query) or die(mysqli_error($conn));  
	$cnt = 0;
	while ($row = mysqli_fetch_assoc($result)) {
	 if(intval($row['iqty']) > 0) { $cnt = 1;  break;  }
	}
	if(!$cnt) {
		$query = "DELETE FROM pmat WHERE id = '$id'";
		$result = mysqli_query($conn, $query) or die(mysqli_error($conn)); 
		if(!$result) { echo "ERROR in Deleting Packing Material!"; }
        else { echo '<div id="dialog-message" title="Packing Material Status">
                        <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
                        Packing Material Deleted!</p></div>';
                }
	}
	else { echo '<div id="dialog-message" title="Packing Material Status">
                        <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
                        Packing Material Has Transactions - Material NOT Deleted!</p></div>';
                }	
}

else {
   echo '<form id="expacclist" method="post" action="addpmmat.php" > <center>'; 
   echo '<table cellspacing="10px" align="center" style="width:80%; margin-left:10px;" >'; 
   echo '<tr><td align="center"><input type="text" id="btnaddexpacc" name="btnaddexpacc" onclick="getexpaccrow();" readonly="readonly" class="text ui-widget-content ui-corner-all" value=" Add New Material" style="width:180px;font-weight:bold;padding:3px;"/></td></tr>';	 
   echo '</table>';
   
   echo '<table id="tablelist" style="width:90%;margin-left:10px;" class="display">
    <thead>
    <tr> <th align="left" style="width:40px;">No. </th> <th align="left" style="width:50px;">SKU</th> <th align="left" style="width:280px;">Material </th> <th align="left" style="width:60px;">Price</th> <th align="left" style="width:80px;">Pack Type </th> <th align="left" style="width:60px;">ACTION </th> </tr>
    </thead>'; 
    $query = 'SELECT * FROM pmat ORDER BY matname;';
    $result = mysqli_query($conn, $query) or die(mysqli_error($conn));
    $odd = true; $i=1;
    while ($row = mysqli_fetch_assoc($result)) 
        {
        echo ($odd == true) ? '<tr class = "odd_row">' : '<tr class = "alt">';
        $odd = !$odd;
        echo'<td>';
		echo '<input type="text" id="id'.$i.'" name="id'.$i.'" value="'.$row['id'].'" size="5" readonly="readonly"/>';
        echo '</td><td>';
		echo '<input type="text" id="sku'.$i.'" name="sku'.$i.'" value="'.$row['sku'].'" size="10"/>';
        echo '</td><td>';
        echo '<input type="text" id="matname'.$i.'" name="matname'.$i.'" value="'.$row['matname'].'" size="40"/>';
        echo '</td><td>';
		echo '<input type="text" id="costp'.$i.'" name="costp'.$i.'" value="'.$row['costp'].'" size="7"/>';
        echo '</td><td align="left">';
        echo '<input type="text" id="um'.$i.'" name="um'.$i.'" value="'.$row['um'].'" size="7"/>';
        echo '</td><td align="left">';
        echo '<a href="addpmmat.php?delmatname=true&id='. $row['id'].'&matname='. $row['matname'].'"> DELETE</a>';
        echo '</td></tr>';
      //  echo '<script>$("#um'.$i.'").autocomplete({ source: '; echo allptypes(); echo ', minLength: 1 });</script>';
		$i++;
        }   
    echo '<input type="hidden" id="rn" name="rn" value="'.$i.'"><input type="hidden" id="orl" name="orl" value="'.$i.'">';
    echo '<tr id="trow"><br/></tr>';    
    echo '<tr align="center"><td colspan=3><input type="submit" id="addsavexpacc" name="addsavexpacc"  class="text ui-widget-content ui-corner-all" value=" Save Packing Materials  " style="width:180px;font-weight:bold;"/></td></tr>';
    echo '</table>';
    echo '</center></form>';
}
?>

</body>

</html>
<script type="text/javascript"> 
function getexpaccrow(){ 
var rn = $("#rn").val();    

 $('#trow').before('<tr><td><input type="text" id="id'+rn+'" name="id'+rn+'" value="New" readonly="readonly" size="5"></td>'
						+'<td><input type="text" id="sku'+rn+'" name="sku'+rn+'" value="" size="10"></td>'
                        +'<td><input type="text" id="matname'+rn+'" name="matname'+rn+'" value="" size="40"></td>'
						+'<td><input type="text" id="costp'+rn+'" name="costp'+rn+'" value="" size="7"></td>'
						+'<td><input type="text" id="um'+rn+'" name="um'+rn+'" value="" size="7"><td></td><tr>');
$("#rn").val( parseInt(rn) + 1 );
};

$(function() {
	// dialog boxes
    $( "#dialog:ui-dialog" ).dialog( "destroy" );

		$( "#dialog-message" ).dialog({
			modal: true,
			width: 400,
			buttons: {
				Ok: function() {
					window.location.replace("pmstocks.php");
				}
			}
		});
});

 
</script>


