<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require_once 'ourfuncs.php';
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Batch Details </title>
 



<style type="text/css">
html, body {margin:0px; padding:0; height:100%; width:100%; min-width:100%; min-height:100%;}
#btnholder{margin-left:3cm;}
#batchshow { background:#fff url('img/batchdet.png') no-repeat center center;
	width:80px;
	height:80px;
}
.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}
td { border: 1px solid #000;
	 padding:6px;
}
th { padding:6px;
}

</style>
 

</head>
<body>

<!-- Main Body starts here -->
<?php 
 
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['sdate'])); 
$sdate = implode("-", array($year, $month, $day));
list($day, $month, $year) = explode('-', mysqli_real_escape_string($conn, $_GET['edate'])); 
$edate = implode("-", array($year, $month, $day));
$mtot = 0;		$ptot = 0;
echo '<p align="center">';
echo '<b><i><style="font-size=18pt:text-align:center;font-family:Calibri;">Maimun Supplies</font></i></b><br/></p>';

$rid = $_GET['rid'];
if($rid !== ''){ $cqry="SELECT * FROM rmouts WHERE idate>='$sdate' AND idate<='$edate' AND rid ='$rid' ORDER BY idate, rono";
				  $qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
				  echo ' Material : '.getrawmatname($conn, $rid).'<br />';
				}
else {  $cqry="SELECT * FROM rmouts WHERE idate>='$sdate' AND idate<='$edate' ORDER BY idate, rono";
		$qt = mysqli_query($conn, $cqry) or die (mysqli_error($conn));
		}				
echo '<br>';
echo '<p style="font-size=12pt;text-align:center;margin:20px;">Materials Batch Details From: &nbsp;'. $_GET['sdate'].'&nbsp; To:&nbsp;'.$_GET['edate'].'</p><br />';
echo '<table style="font-size=12pt;border-collapse:collapse;text-align:left;font-family:Calibri;margin:20px;">';
echo '<thead>
  <tr class = "recphead">
    <th  class="left"> Material </th>
    <th  class="center"> Store </th>
	<th  class="center"> Date </th>
    <th align="center"> Material Name </th>
	<th align="center"> Material Qty </th>
	<th align="center"> UOM </th>
    <th align="center"> Output Qty </th>
	<th align="center"> Packing Type</th>
  </tr>
	</thead>'; 
while ($row = mysqli_fetch_assoc($qt)) 
{

echo '<tr>';
echo'<td align="center">'.$row['rono'].'</td>';
echo'<td align="center">'.$row['storeid'].'</td>';
list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
$bdt = implode("-", array($day, $month, $year));
echo'<td align="center">'.$bdt.'</td>';
echo'<td align="center">'.$row['matname'].'</td>';
echo'<td align="right">'.number_format($row['qty'],2).'</td>';
$ptot = $ptot + floatval($row['pkqty']);
echo'<td align="center">'.$row['um'].'</td>';	
$mtot = $mtot + floatval($row['qty']);	
echo'<td align="right">'.number_format($row['pkqty'],2).'</td>';	
echo'<td align="center">'.$row['ptype'].'</td>';	
echo '</tr>';	
}
echo'<tr><td colspan="4"></td><td align="right">'.number_format($mtot,2).'</td>  <td></td> <td align="right">'.number_format($ptot,2).'</td> <td></td></tr>';	
echo '</table>';
echo '<center><form><table>';
echo '<div id="btnholder">
		<td> <input type="button" onclick="window.close();" class="submitbutton" value="Cancel"/></td>
		</div>
	</table></form> </center>';
	
?>


<!-- Main Body ends here -->

</body>

</html>