<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
require('ourfuncs.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Add Packing Material Stock </title>
 
<link rel="stylesheet" type="text/css" href="css/main.css" /> 
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="css/jquery.datetimepicker.css" />
<style type="text/css">
#btnholder{margin-left:3cm;}

.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
  
#mat_add{
height: 30px;
border:solid 1px #DEDEDE;
background-color:#7CFC00;
color:#222222;
padding:5px 0 2px 0;
text-align:center;
font-weight:300;
font-size: 14px;
}
</style>


</head>
<body>

<!-- Main Body starts here -->


<!-- processing the user_form data submitted-->
<?php 
if (isset($_POST['submit']))
{      
echo '<div id="breadcrumbpm"> PM Stock Entry Input</div>';    
$idate = mysqli_real_escape_string($conn, $_POST['idate']);
$grnno = getnewdocno($conn,"grnno");
$sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
$storeid = mysqli_real_escape_string($conn, $_POST['storeid']);
//$storeid = mysqli_real_escape_string($conn, $_POST['storeid']);
for($i=1; $i<11; $i++){
  if ($_POST['rid'.$i] !== ""){ 
    $rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
    $recpmat = getpmatname($conn, $rid);
	$sku = getrawsku($conn, $rid);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
    $invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);
    $supp = mysqli_real_escape_string($conn, $_POST['supp'.$i]);
    $ts = date("Y-m-d H:i:s");

                                                        // Inserting data into pmins table
    $sql = "INSERT INTO pmins (idate, grnno, sku, recpmat, um, rid, iqty, storeid, supp, invno, ts) VALUES ('$sqlidate', '$grnno', '$sku','$recpmat', '$um', '$rid', '$iqty', '$storeid', '$supp', '$invno', '$ts')";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}  

    echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    New Raw Material Stock Saved!</p></div>';

mysqli_close($conn);
} 
                                                                // display form
elseif (isset($_POST['addnew'])) {
  echo '<div id="breadcrumbpm">New PM Stock Input</div>';  
  echo '<form id="add_mat" action="#" method="post" name="user_form">
    <center><b><label for="idate">Stock In Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" class="datepicker" size="10" required="required" title="Entry Date"/> <select name="storeid" id="storeid" style="width:100px;"/>'.selstores($conn).'</select>
<table cellspacing="10px">
    <th>Material</th>   
    <th>Measure</th>   
    <th>Quantity</th>
    <th>Supplier</th>
    <th>Doc No.</th>'; 
for($i=1; $i<11; $i++){
 echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" type="text" style="width:150px;" oninput="getum('.$i.');" ><option value="">---</option>'.selpmmats($conn).'</select></td>
            <td><input name="um'.$i.'" id="um'.$i.'" type="text" size="10" /></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="10" /></td>
            <td><input name="supp'.$i.'" id="supp'.$i.'" type="text" size="15" /></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" size="10" /></td>
        </tr>';
    }
 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="submit" type="submit" value="Add PM Stock" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
}

                                                                // display edit form
elseif (isset($_GET['g'])) {
  $grnno =   $_GET['g'];
  echo '<div id="breadcrumbpm">Edit PM Stock In Entry No.'.$grnno.' </div>';  
  $sql = "SELECT * FROM pmins WHERE grnno = '$grnno';";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));    $i=1; 
  if ($row = mysqli_fetch_assoc($result)) 
        {
        $storeid = $row['storeid'];
        $recpmat = $row['recpmat'];
        list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
        $idate = implode("-", array($day, $month, $year));
        $rid = $row['rid'];
		$sku = getrawsku($conn, $rid);
        $iqty = $row['iqty'];
        $um = $row['um'];
        $id = $row['id'];
        $supp = $row['supp'];
        $invno = $row['invno'];
        } 
  echo '<form id="add_mat" action="addpm.php" method="post" name="user_form">
    <center><b><label for="idate">Stock In Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" class="datepicker" size="10" value="'.$idate.'" required="required" title="Stock IN Date"/> Store: &nbsp; <select name="storeid" id="storeid" style="width:100px;"/><option value="'.$storeid.'">'.$storeid.'</option>'.selstores($conn).'</select>
    <input name="grnno" id="grnno" type="hidden" value="'.$grnno.'"/>
    <table cellspacing="10px">
        <th>Material</th>   
        <th>Measure</th>   
        <th>Quantity</th>
        <th>Supplier</th>
        <th>Doc No.</th>'; 
  echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:150px;" oninput="getum('.$i.');"><option value="'.$rid.'">'.$recpmat.'"</option>'.selpmmats($conn).'</td>'
          . '<td><input name="um'.$i.'" id="um'.$i.'" type="text" value="'.$um.'" size="10" /></td>
             <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" value="'.$iqty.'" size="10" /></td>'
          . '<td><input name="supp'.$i.'" id="supp'.$i.'" type="text" value="'.$supp.'" size="15" /></td>
            <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" value="'.$invno.'" size="10" /></td></tr>';
    $i++;
    while ($row = mysqli_fetch_assoc($result)) 
        {
      //  $storeid = $row['storeid'];
        $recpmat = $row['recpmat'];
        $rid = $row['rid'];
        $iqty = $row['iqty'];
        $um = $row['um'];
        $id = $row['id'];
        $supp = $row['supp'];
        $invno = $row['invno'];
        echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:150px;" oninput="getum('.$i.');"><option value=""></option><option value="'.$rid.'">'.$recpmat.'"</option>'.selpmmats($conn).'</td>'
          . '<td><input name="um'.$i.'" id="um'.$i.'" type="text" value="'.$um.'" size="10" /></td>
             <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" value="'.$iqty.'" size="10" /></td>
             <td><input name="supp'.$i.'" id="supp'.$i.'" type="text" value="'.$supp.'" size="15" /></td>
             <td><input name="invno'.$i.'" id="invno'.$i.'" type="text" value="'.$invno.'" size="10" /></td></tr>';
        $i++;
        }
  
for($j=$i; $j<11; $j++){
 echo '<tr><td><select name="rid'.$i.'" id="rid'.$i.'" style="width:150px;" oninput="getum('.$i.');"><option value=""></option><option value="'.$rid.'">'.$recpmat.'"</option>'.selpmmats($conn).'</td>
            <td><input name="um'.$j.'" id="um'.$j.'" type="text" value="" size="10" /></td>
            <td><input name="iqty'.$j.'" id="iqty'.$j.'" type="text" size="10" /></td>'
         . '<td><input name="supp'.$j.'" id="supp'.$j.'" type="text" size="15" /></td>
            <td><input name="invno'.$j.'" id="invno'.$j.'" type="text" size="10" /></td>
        </tr>';
    }
 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="saveedentry" type="submit" value="Save Entry" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
}
                                                                // Save edited Stock Entry
elseif (isset($_POST['saveedentry'])) {
  $grnno =  mysqli_real_escape_string($conn, $_POST['grnno']);  
  $storeid =  mysqli_real_escape_string($conn, $_POST['storeid']);
  echo '<div id="breadcrumbpm">Saving Edited PM Stock Entry No.'.$grnno.' </div>'; 
  $idate = mysqli_real_escape_string($conn, $_POST['idate']);
  $sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
  //$storeid = mysqli_real_escape_string($conn, $_POST['storeid']);
                                                      // deleting old data from stockins table
    $sql = "DELETE FROM pmins WHERE grnno = '$grnno'";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
   
for($i=1; $i<11; $i++){
  if ($_POST['rid'.$i] !== ""){ 
    $rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
	$sku = getrawsku($conn, $rid);
    $recpmat = getpmatname($conn, $rid);
	$sku = mysqli_real_escape_string($conn, $_POST['sku'.$i]);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
    $ts = date("Y-m-d H:i:s");
    $supp = mysqli_real_escape_string($conn, $_POST['supp'.$i]);
    $invno = mysqli_real_escape_string($conn, $_POST['invno'.$i]);

                                                            // Inserting data into pmins table
    $sql = "INSERT INTO pmins (idate, grnno, sku, recpmat, um, rid, iqty, storeid, supp, invno, ts) VALUES ('$sqlidate', '$grnno', '$sku', '$recpmat', '$um', '$rid', '$iqty', '$storeid', '$supp', '$invno', '$ts')";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  }
}
  
  echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Edited PM Stock Entry No.'.$grnno.' Saved!</p></div>';
}  

                                                                // do delete on Stock Entry
elseif (isset($_GET['d'])) {
  $grnno =   $_GET['d'];
  echo '<div id="breadcrumbpm">Delete PM Stock In Entry No.'.$grnno.' </div>';  
  $sql = "DELETE FROM pmins WHERE grnno = '$grnno'";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  echo '<div id="dialog-message" title="Delete Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    PM Stock Entry No.'.$grnno.' Deleted!</p></div>';
} 

                                                                // display Stock In List
else {
 echo '<div id="breadcrumbpm">Packing Material Stock Input List</div>';   
 echo '<center><form id="add_mat" action="#" method="post" name="user_form">'; 
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="addnew" type="submit" value="Add New PM Stock" /> </td>
        <td><a href="pmstocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</form></center><br/>';
 echo '<center><table cellspacing="10px" cellpadding="10px"><tr>
    <th>GRN No.</th>   
    <th>Date</th>  
	<th>Store</th>
	<th>SKU</th>
    <th>Material</th>
	<th>UOM</th>
	<th>Qty</th>	
    <th>Action</th>
    </tr>'; 

$sql = "SELECT DISTINCT grnno, idate, sku, recpmat, iqty, um, storeid FROM pmins ORDER BY idate DESC, grnno DESC;";
$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
while ($row = mysqli_fetch_assoc($result)) 
{
    echo '<tr>';
    echo'<td align="center">'.$row['grnno'].'</td>';
    list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
    list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
    $bdt = implode("-", array($day, $month, $year));
    echo'<td align="center">'.$bdt.'</td>';
    echo'<td align="center">'.$row['storeid'].'</td>';
	echo'<td align="center">'.$row['sku'].'</td>';
	echo'<td align="left">'.$row['recpmat'].'</td>';
	echo'<td align="center">'.$row['um'].'</td>';
	echo'<td align="right">'.$row['iqty'].'</td>';
    echo '<td><a href="addpm.php?g='.$row['grnno'].'"> EDIT</a> &nbsp;&nbsp; <a href="addpm.php?d='.$row['grnno'].'"> DELETE</a> </td>';
    echo '</tr>';
}
echo '</table></center>';   
   
}
?>

<div style='height:15px;'></div>

</body>
</html>
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery-ui.js"></script>
<script type="text/javascript" src="js/jquery.datetimepicker.full.js"></script> 

 <script type="text/javascript">
$( '.datepicker' ).datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' }); 
$("#idate").datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' }); 
$("#matname").autocomplete({ source: <?php echo allrawmats($conn); ?>, minLength: 2 });
	
$("#supp").autocomplete({ source: <?php echo allsupps($conn); ?>, minLength: 2 });  

function getum(inix){ 
 var rmatu = $.get("getpmatum.php?r="+$("#rid"+inix).val(), function(data){ 
                                                document.getElementById("um"+inix).value = data;
						});   
};

$( "#dialog-message" ).dialog({
			modal: true,
			width: 470,
			buttons: {
				Ok: function() {
					window.location.replace("pmstocks.php");
				}
			}
		}); 
</script> 