<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
include 'db_link.php';
//include "stocksmenu.php";
include 'ourfuncs.php';
$grp = intval($_SESSION['authgrp']);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Material Release Orders </title>
 

<!--[if !IE]>--> <link rel="stylesheet" type="text/css" href="css/main.css" /> <!--<![endif]-->
<link rel="stylesheet" type="text/css" href="css/jquery.datetimepicker.css" />
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
<style type="text/css">
#btnholder{margin-left:3cm;}

.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
  
#mat_add{
height: 30px;
border:solid 1px #DEDEDE;
background-color:#7CFC00;
color:#222222;
padding:5px 0 2px 0;
text-align:center;
font-weight:300;
font-size: 14px;
}
#tablelist
{
font-family:"Trebuchet MS";
width:100%;
border-collapse:collapse;
margin-left: 40px;
}
#tablelist td, #tablelist th
{
font-size:90%;
border:1px solid #B2B2B2;
padding:3px 7px 2px 7px;
}
#tablelist th 
{
color:#000;
}
.recphead 
{
background-color: #DDFFAA;
font-weight:bold;
}
</style>
<script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery.datetimepicker.full.js"></script> 
<script type="text/javascript" src="js/jquery-ui.js"></script> 

</head>
<body>

<!-- Main Body starts here -->


<!-- processing the user_form data submitted-->
<?php 
if (isset($_POST['impmaster'])){
	   // Allowed mime types
    $csvMimes = array('text/x-comma-separated-values', 'text/comma-separated-values', 'application/octet-stream', 'application/vnd.ms-excel', 'application/x-csv', 'text/x-csv', 'text/csv', 'application/csv', 'application/excel', 'application/vnd.msexcel', 'text/plain');
    
    // Validate whether selected file is a CSV file
    if(!empty($_FILES['file']['name']) && in_array($_FILES['file']['type'], $csvMimes)){
        
        // If the file is uploaded
        if(is_uploaded_file($_FILES['file']['tmp_name'])){
            
            // Open uploaded CSV file with read-only mode
            $csvFile = fopen($_FILES['file']['tmp_name'], 'r');
            
            // Skip the first line - header
            fgetcsv($csvFile);
            
            // Parse data from CSV file line by line
            while(($line = fgetcsv($csvFile)) !== FALSE){
                // Get row data
				$strPartNumber = $line[0];
				$strDesc = $line[3];
				$strSubCategory = $line[4];
				$strStockUnit = $line[6];
				$strGroup = $line[12];
				$strCurrency= $line[13];
				$strCategory = $line[14];
				
                // Check whether member already exists in the database with the same email
                $prevQuery = "SELECT strPartNumber FROM masterskufmpe WHERE strPartNumber = '".$strPartNumber."'";
                $prevResult = mysqli_query($conn, $prevQuery) or die(mysqli_error($conn));
                
                if(mysqli_num_rows($prevResult) > 0){
                    // Update member data in the database
                    $res = mysqli_query($conn, "UPDATE masterskufmpe SET strDesc = '".$strDesc."', strCategory = '".$strCategory."', strStockUnit = '".$strStockUnit."', strGroup = '".$strGroup."', strCurrency = '".$strCurrency."', strSubCategory = '".$strSubCategory."' WHERE strPartNumber = '".$strPartNumber."'") or die(mysqli_error($conn));
                }else{
                    // Insert member data in the database
                    $res = mysqli_query($conn, "INSERT INTO masterskufmpe (strPartNumber, strDesc , strCategory , strStockUnit , strGroup , strCurrency , strSubCategory)  
												VALUES ('".$strPartNumber."','".$strDesc."','".$strCategory."','".$strStockUnit."','".$strGroup."','".$strCurrency."','".$strSubCategory."')") or die(mysqli_error($conn));
                }
            }
            
            // Close opened CSV file
            fclose($csvFile);
            
            echo '<div id="breadcrumb">File Uploaded Sucessfully ! </div>';
        }else{
            echo '<div id="breadcrumb">Error in File Upload !  - File Not Found </div>';
        }
    }else{
        echo '<div id="breadcrumb">Error in File Upload !  - Please Recheck Format</div>';
    }
	
	//echo '<script>window.location.replace("rmorders.php");</script>';
	
}
else if (isset($_POST['submit']))
{      
echo '<div id="breadcrumbrm"> Batch Save</div>';    
$idate = mysqli_real_escape_string($conn, $_POST['idate']);
$storeid = mysqli_real_escape_string($conn, $_POST['storeid']);

$sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);
for($i=1; $i<11; $i++){
  if (($_POST['rid'.$i] !== "") && (floatval($_POST['iqty'.$i]) > 0)){ 
	$rono = getnewdocno($conn, "rono");  	
	$bserial = getnewdocno($conn, "bserial");  
    $rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
	$recpname = getrawmatname($conn, $rid);		$sku = getrawsku($conn, $rid);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
	//$brand = mysqli_real_escape_string($conn, $_POST['brand'.$i]);
	$mbatno = mysqli_real_escape_string($conn, $_POST['mbatno'.$i]);
    $bbefore = mysqli_real_escape_string($conn, $_POST['bbefore'.$i]);
	$fpsku = mysqli_real_escape_string($conn, $_POST['fpsku'.$i]);
	//$bserial = mysqli_real_escape_string($conn, $_POST['bserial']);
	$ptype = mysqli_real_escape_string($conn, $_POST['ptype'.$i]);
	$pcnt = mysqli_real_escape_string($conn, $_POST['pcnt'.$i]);
//	$ucost = mysqli_real_escape_string($conn, $_POST['ucost'.$i]);
//	$bcost = mysqli_real_escape_string($conn, $_POST['bcost'.$i]);
	$fqty = mysqli_real_escape_string($conn, $_POST['fqty'.$i]);
	$eqty = mysqli_real_escape_string($conn, $_POST['eqty'.$i]);
        $ps1 = mysqli_real_escape_string($conn, $_POST['ps1'.$i]);
        $ps2 = mysqli_real_escape_string($conn, $_POST['ps2'.$i]);
        $ps3 = mysqli_real_escape_string($conn, $_POST['ps3'.$i]);
        $ps4 = mysqli_real_escape_string($conn, $_POST['ps4'.$i]);
		$po1 = mysqli_real_escape_string($conn, $_POST['po1'.$i]);
        $po2 = mysqli_real_escape_string($conn, $_POST['po2'.$i]);
        $po3 = mysqli_real_escape_string($conn, $_POST['po3'.$i]);
        $po4 = mysqli_real_escape_string($conn, $_POST['po4'.$i]);
        $wkst = mysqli_real_escape_string($conn, $_POST['wkst'.$i]);
        $wked = mysqli_real_escape_string($conn, $_POST['wked'.$i]);
        if($wkst !== NULL) { $wkst = substr($wkst,6,4)."-".substr($wkst,3,2)."-".substr($wkst,0,2).substr($wkst,10,6);  }
		if($wked !== NULL) { $wked = substr($wked,6,4)."-".substr($wked,3,2)."-".substr($wked,0,2).substr($wked,10,6); }
    $ts = date("Y-m-d H:i:s");
                                                    // Inserting data into rmouts table
 //   $sql = "INSERT INTO rmouts (idate, rono, matname, brand, rid, sku, um, qty, ptype, dest, invno, storeid, pkqty, epqty, bcost, ucost, wkst, wked, ps1, ps2, ps3, ps4, po1, po2, po3, po4, ts) VALUES ('$sqlidate', '$rono', '$recpname', '$brand', '$rid', '$sku', '$um', '$iqty', '$ptype', '$dest', '$invno', '$storeid', '$fqty', '$eqty', '$bcost','$ucost', '$wkst', '$wked', '$ps1', '$ps2', '$ps3', '$ps4', '$po1', '$po2', '$po3', '$po4', '$ts');";
	$sql = "INSERT INTO rmouts (idate, rono, matname, rid, sku, um, qty, ptype, mbatno, bbefore, fpsku, bserial, storeid, pkqty, epqty, wkst, wked, ps1, ps2, ps3, ps4, po1, po2, po3, po4, ts) VALUES 
			('$sqlidate', '$rono', '$recpname', '$rid', '$sku', '$um', '$iqty', '$ptype', '$mbatno','$bbefore', '$fpsku', '$bserial', '$storeid', '$fqty', '$eqty', ".(($wkst == '--')  ? " DEFAULT, " : "'$wkst', ").(($wked == '--')  ? " DEFAULT, " : "'$wked', ")."'$ps1', '$ps2', '$ps3', '$ps4', '$po1', '$po2', '$po3', '$po4', '$ts');";  
    //echo $sql;
	$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
	                                                // Inserting packing data into pmouts table
	for($y=1; $y<=intval($pcnt); $y++){	
		$pid = mysqli_real_escape_string($conn, $_POST['pid'.$i.$y]);
		$matname = getpmatname($conn, $pid);		$um = getpmatum($conn, $pid);	$sku = getpmatsku($conn, $pid);
		$pqty = mysqli_real_escape_string($conn, $_POST['pqty'.$i.$y]);
	//	$ucost = mysqli_real_escape_string($conn, $_POST['pcost'.$i.$y]);
	//	$mcost = mysqli_real_escape_string($conn, $_POST['pval'.$i.$y]);
		$sql = "INSERT INTO pmouts (rono, bno, matname, sku, idate, pid, rid, qty, um, ptype, dest, invno, isfp, ts) VALUES ('$rono','$rono', '$matname','$sku', '$sqlidate', '$pid', '$rid', '$pqty', '$um', '$ptype', '$storeid', '0','2', '$ts')";
		$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
	}
  }
}  
    echo '<div id="dialog-message1" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Batch Saved!</p></div>';

echo '<script> $( "#dialog-message1" ).dialog({
			modal: true,
			width: 370,
			buttons: {
				Ok: function() {
					window.location.replace("stocks.php");
				}
			}
				}); </script>';
} 
                                                                // display form
elseif (isset($_POST['addnewro'])) {
  echo '<div id="breadcrumbrm">New Batch</div>';  
  echo '<form id="add_mat" action="rmorders.php"  onkeypress="return event.keyCode!=13" method="post" name="user_form">
    <center><b><label for="rdate">Batch Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" size="10" value="'.Date('d-m-Y').'" required="required" onchange="setbdate()" title="Batch Date"/> &nbsp;&nbsp;<label for="storeid">Store</label></b> &nbsp;&nbsp;<select name="storeid" id="storeid" style="width:100px;"/>'.  selstores($conn).'</select><br/>
<table cellspacing="10">';  

for($i=1; $i<11; $i++){
	echo '<th>Lot No.</th>
    <th>Material</th> 
	<th>Lot SKU</th>	
    <th>Measure</th>   
    <th>Quantity</th>
	<th>Packing</th>
    <th>Best Before </th>
	<th>FPSKU </th>'; 
	echo '<tr><td><select name="mbatno'.$i.'" id="mbatno'.$i.'" style="width:280px;font-size:8pt;" onchange="getrmdets('.$i.');" />'.selbatchins($conn).'</select> <input name="rid'.$i.'" id="rid'.$i.'" type="hidden" /></td> 
			<td><input type="text" name="mat'.$i.'" id="mat'.$i.'" size="30" value=""/></td> 
			<td><input type="text" name="sku'.$i.'" id="sku'.$i.'" size="15" value=""/></td> 
            <td align="center"><div class="styled-select"><select id="um'.$i.'" name="um'.$i.'" style="width:80px"> 
                <option value="KG" selected>KG</option>
                <option value="BAG">BAG</option>
                <option value="EA">EA</option>
                <option value="PC">PC</option>
                </select></div></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="10" /></td>
			<td><select name="ptype'.$i.'" id="ptype'.$i.'" onchange="getpmats('.$i.');">'.selptypes($conn).'</select><input type="hidden" id="basicc'.$i.'" value="0"/></td>
            <td><input name="bbefore'.$i.'" id="bbefore'.$i.'" type="text" size="10" /> <script> $( "#bbefore'.$i.'").datepicker({ changeMonth:true, dateFormat: "dd-mm-yy" }); </script></td>
			<td><select name="fpsku'.$i.'" id="fpsku'.$i.'">'.selfpskus($conn).'</select> </td>
		</tr>';
	echo '<tr><td colspan="7"><div id="packmats'.$i.'"></div></td></tr>';
    }

echo '<tr>  
        <div id="btnholder">
	<td colspan="7"> <input class="submitbutton" name="submit" type="submit" value="Save Batch" /> </td>
        <td><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
}
elseif (isset($_POST['addnewsi'])) {
  echo '<div id="breadcrumbrm">New Batch</div>';  
  echo '<form id="add_mat" action="rmorders.php"  onkeypress="return event.keyCode!=13" method="post" name="user_form">
    <center><b><label for="rdate">Batch Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" size="10" value="'.Date('d-m-Y').'" required="required" onchange="setbdate()" title="Batch Date"/> &nbsp;&nbsp;<label for="storeid">Store</label></b> &nbsp;&nbsp;<select name="storeid" id="storeid" style="width:100px;"/>'.  selstores($conn).'</select><br/>
<table cellspacing="10">';  

for($i=1; $i<11; $i++){
	echo '<th>Lot No.</th>
    <th>Material</th> 
	<th>Lot SKU</th>	
    <th>Measure</th>   
    <th>Quantity</th>
	<th>Packing</th>
    <th>Best Before </th>
	<th>FPSKU </th>'; 
	echo '<tr><td><select name="mbatno'.$i.'" id="mbatno'.$i.'" style="width:280px;font-size:8pt;" onchange="getrmdets('.$i.');" />'.selstockins($conn).'</select> <input name="rid'.$i.'" id="rid'.$i.'" type="hidden" /></td> 
			<td><input type="text" name="mat'.$i.'" id="mat'.$i.'" size="30" value=""/></td> 
			<td><input type="text" name="sku'.$i.'" id="sku'.$i.'" size="15" value=""/></td> 
            <td align="center"><div class="styled-select"><select id="um'.$i.'" name="um'.$i.'" style="width:80px"> 
                <option value="KG" selected>KG</option>
                <option value="BAG">BAG</option>
                <option value="EA">EA</option>
                <option value="PC">PC</option>
                </select></div></td>
            <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" size="10" /></td>
			<td><select name="ptype'.$i.'" id="ptype'.$i.'" onchange="getpmats('.$i.');">'.selptypes($conn).'</select><input type="hidden" id="basicc'.$i.'" value="0"/></td>
            <td><input name="bbefore'.$i.'" id="bbefore'.$i.'" type="text" size="10" /> <script> $( "#bbefore'.$i.'").datepicker({ changeMonth:true, dateFormat: "dd-mm-yy" }); </script></td>
			<td><select name="fpsku'.$i.'" id="fpsku'.$i.'">'.selfpskus($conn).'</select> </td>
		</tr>';
	echo '<tr><td colspan="7"><div id="packmats'.$i.'"></div></td></tr>';
    }

echo '<tr>  
        <div id="btnholder">
	<td colspan="7"> <input class="submitbutton" name="submit" type="submit" value="Save Batch" /> </td>
        <td><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
}
 
 
																			// display edit form
elseif (isset($_GET['g'])) {
 require_once('db_link.php');	
  $rono = mysqli_real_escape_string($conn, $_GET['g']);
  echo '<div id="breadcrumbrm">Edit Batch No.'.$rono.' </div>'; 
  $sql = "SELECT * FROM rmouts WHERE rono = '$rono';";			// get date first
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  if($row = mysqli_fetch_assoc($result)) {
		list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
        $idate = implode("-", array($day, $month, $year));
		$storeid = $row['storeid'];
  }
  echo '<form id="add_mat" action="rmorders.php" method="post"  onkeypress="return event.keyCode!=13" name="user_form">
    <center><b><label for="rdate">Batch Date</label></b> &nbsp;&nbsp;<input name="idate" id="idate" type="text" size="10" value="'.$idate.'" required="required" onchange="setbdate()"  title="Batch Date"/>&nbsp;&nbsp;<b><label for="storeid">Store</label></b> &nbsp;&nbsp;<select name="storeid" id="storeid" style="width:100px;"/><option value="'.$storeid.'">'.$storeid.'</option>'.  selstores($conn).'</select>
    <input name="rono" id="rono" type="hidden" value="'.$rono.'"/>';
	echo '<table cellspacing="10px">';
		 echo '<th>Lot No.</th>
			<th>Material</th>   
			<th>Measure</th>   
			<th>Quantity</th>
			<th>Packing</th>
			<th>Best Before </th>
			<th>FPSKU</th>
			<th>FP Lot No.</th>';	 
  $sql = "SELECT * FROM rmouts WHERE rono = '$rono';";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));    $i=1; 
  while ($row = mysqli_fetch_assoc($result)) 
        {
		
        $recpnam = $row['matname'];
        $iqty = $row['qty'];
        $um = $row['um'];
	  $prr = $row['printed'];
		$rid = $row['rid']; 
		$sku = $row['sku']; 
		$fpsku = $row['fpsku']; 
        $mbatno = $row['mbatno'];
		$bbefore = $row['bbefore'];
		$ptype = $row['ptype'];
     //   $invno = $row['invno'];
	//	$ucost = $row['ucost'];
	//	$bcost = $row['bcost'];
		//$brand = $row['brand'];
		$fqty = $row['pkqty'];
		$eqty = $row['epqty'];
                $ps1 = $row['ps1'];	$ps2 = $row['ps2'];	$ps3 = $row['ps3'];	$ps4 = $row['ps4'];
				$po1 = $row['po1'];	$po2 = $row['po2'];	$po3 = $row['po3'];	$po4 = $row['po4'];
                                $wkst = $row['wkst'];	$wked = $row['wked'];
                                $wkst = substr($wkst,8,2)."-".substr($wkst,5,2)."-".substr($wkst,0,4).substr($wkst,10,6);
                                $wked = substr($wked,8,2)."-".substr($wked,5,2)."-".substr($wked,0,4).substr($wked,10,6);
        $storeid = $row['storeid'];
		$bserial = $row['bserial'];
		echo '<tr><td><select name="mbatno'.$i.'" id="mbatno'.$i.'" style="width:280px;font-size:8pt;" onchange="getrmdets('.$i.');" selected> <option value="'.$mbatno.'">'.$recpnam.' - '.$mbatno.'</option>'.selstockins($conn).'</select><input type="hidden" id="prr'.$i.'" name="prr'.$i.'" value="'.$prr.'"  /> <input type="hidden" id="rid'.$i.'" name="rid'.$i.'" value="'.$rid.'"/> <input type="hidden" id="sku'.$i.'" name="sku'.$i.'" value="'.$sku.'"/></td>
			<td><input type="text" id="mat'.$i.'" name="mat'.$i.'" size="30" value="'.$recpnam.'"/> <input type="hidden" id="costp'.$i.'" value="0"/></td>
			<td align="center"><div class="styled-select"><select id="um'.$i.'" name="um'.$i.'" style="width:80px"> <option value="'.$um.'" selected>'.$um.'</option> 
                <option value="KG" selected>KG</option>
                <option value="BAG">BAG</option>
                <option value="EA">EA</option>
                <option value="PC">PC</option>
                </select></div></td>
             <td><input name="iqty'.$i.'" id="iqty'.$i.'" type="text" value="'.$iqty.'" size="10" /></td>
			 <td><select name="ptype'.$i.'" id="ptype'.$i.'"  onchange="getpmats('.$i.');">'.'<option value="'.$ptype.'">'.$ptype.'</option>'.selptypes($conn).'</select></td>
             <td><input name="bbefore'.$i.'" id="bbefore'.$i.'" type="text" value="'.$bbefore.'" size="10" /><script>$("#bbefore'.$i.'").datetimepicker({ timepicker:false, format:"d-m-Y", formatDate: "d-m-Y" });</script></td>
			 <td><select name="fpsku'.$i.'" id="fpsku'.$i.'"><option value="'.$fpsku.'">'.$fpsku.'</option>'.selfpskus($conn).'</select></td>
			 <td><input type="text" name="bserial'.$i.'" id="bserial'.$i.'" size="5" value="'.$bserial.'"></td></tr></table>';
			 
			$qry = "SELECT * FROM packcost WHERE ptype='".$ptype."';";
			$res = mysqli_query($conn, $qry) or die(mysqli_error($conn));
			$pline = '';	$pmlab='0'; $pmmbc='0'; $pmoth='0'; $perkg='0';
			if ($prow = mysqli_fetch_assoc($res)){
				$pmlab = $prow['pmlab'];    $pmmbc = $prow['pmmbc'];    $pmoth = $prow['pmoth'];	$perkg = $prow['perkg'];
			};
			$eee = allps($conn);
			$ppp = allpo($conn);
			echo '</table>';
			echo '<div id="packmats'.$i.'">';
			echo '<table cellspacing="12px" style="font-size:12px;margin:20px;">';
			echo '<tr>  <th>Packed Qty</th> <th>Extra Qty</th></tr>';
			$pline = $pline.'<tr>'; 
			/*		<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="pmlab'.$i.'" id="pmlab'.$i.'" onchange="getpmcost('.$i.');" value="'.$pmlab.'" size="5" style="text-align:right;"/></td>';
			$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="pmmbc'.$i.'" id="pmmbc'.$i.'" onchange="getpmcost('.$i.');" value="'.$pmmbc.'" size="5" style="text-align:right;"/></td>';
			$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="pmoth'.$i.'" id="pmoth'.$i.'" onchange="getpmcost('.$i.');" value="'.$pmoth.'" size="5" style="text-align:right;"/></td>';
			$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="bcost'.$i.'" id="bcost'.$i.'" onchange="getpmcost('.$i.');" value="'.$bcost.'" size="5" style="text-align:right;"/></td>';
			$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="ucost'.$i.'" id="ucost'.$i.'" onchange="getpmcost('.$i.');" value="'.$ucost.'" size="5" style="text-align:right;"/></td>'; */
	  
			$pline = $pline.'<td><input type="text" name="fqty'.$i.'" id="fqty'.$i.'" onchange="getpmcost('.$i.');" value="'.$fqty.'" size="5" style="text-align:right;"/></td>';
			$pline = $pline.'<td><input type="text" name="eqty'.$i.'" id="eqty'.$i.'" onchange="getpmcost('.$i.');" value="'.$eqty.'" size="5" style="text-align:right;"/></td></tr>';
			echo $pline; 
                        echo '<tr> <th></th> <th> Start</th> <th> End</th> <th> PS1</th> <th>PS2</th> <th>PS3</th> <th>PS4</th> </tr>';
                        $pline = '<tr><td></td>';
                        $pline = $pline.'<td><input type="text" name="wkst'.$i.'" id="wkst'.$i.'" value="'.$wkst.'" class="datepicker" size="14" style="text-align:right;"/></td>';
                        $pline = $pline.'<td><input type="text" name="wked'.$i.'" id="wked'.$i.'" class="datepicker" value="'.$wked.'" size="14" style="text-align:right;"/></td>';
                        $pline = $pline.'<td><select name="ps1'.$i.'" id="ps1'.$i.'"><option value="'.$ps1.'">'.$ps1.'</option>'.$eee.'</select> <br> <select name="po1'.$i.'" id="po1'.$i.'"><option value="'.$po1.'">'.$po1.'</option>'.$ppp.'</select></td>';
                        $pline = $pline.'<td><select name="ps2'.$i.'" id="ps2'.$i.'"><option value="'.$ps2.'">'.$ps1.'</option>'.$eee.'</select> <br> <select name="po2'.$i.'" id="po2'.$i.'"><option value="'.$po2.'">'.$po2.'</option>'.$ppp.'</select></td>';
                        $pline = $pline.'<td><select name="ps3'.$i.'" id="ps3'.$i.'"><option value="'.$ps3.'">'.$ps3.'</option>'.$eee.'</select> <br> <select name="po3'.$i.'" id="po3'.$i.'"><option value="'.$po3.'">'.$po3.'</option>'.$ppp.'</select></td>';
                        $pline = $pline.'<td><select name="ps4'.$i.'" id="ps4'.$i.'"><option value="'.$ps4.'">'.$ps4.'</option>'.$eee.'</select> <br> <select name="po4'.$i.'" id="po4'.$i.'"><option value="'.$po4.'">'.$po4.'</option>'.$ppp.'</select></td>';
                        echo $pline;
			echo '</table>';
			
			$sqlp = "SELECT *, pmmap.pfact FROM pmouts, pmmap WHERE pmouts.sku = pmmap.sku AND pmouts.ptype = pmmap.ptype AND pmouts.rono = '$rono' AND pmouts.ptype = '$ptype' AND pmouts.rid = '$rid' ORDER BY pmouts.ptype, pmouts.matname;";
			$resultp = mysqli_query($conn, $sqlp) or die(mysqli_error($conn)); 
			$y=0;
			echo '<table id="ptab" cellspacing="6px" align="center" style="font-size:12px;margin:20px;"> 
			<tr><td style="text-align:left;" colspan="2"> <h4>PACKING MATERIALS</h4></td></tr> 
			<tr> <th>SKU</th> <th> Material</th> <th> Qty</th> </tr>';
			$pline = '';
			$ptot = 0;
			while ($rowp = mysqli_fetch_assoc($resultp)){  $y++;
				$pline = $pline.'<tr><td><input type="text" name="pmsku'.$i.$y.'" id="pmsku'.$i.$y.'"  value="'.$rowp['sku'].'" size="7" style="text-align:left;"/></td>';	
				$pline = $pline.'<td align="left"><select name="pid'.$i.$y.'" id="pid'.$i.$y.'" style="width:300px"><option value="'.$rowp['pid'].'">'.$rowp['matname'].'</option>'.selpmmats($conn).'</select></td>';
				$pline = $pline.'<td><input type="text" name="pqty'.$i.$y.'" id="pqty'.$i.$y.'" onchange="getpmatcost('.$i.$y.');" value="'.$rowp['qty'].'" size="5" style="text-align:right;"/> <input type="hidden" name="pfact'.$i.$y.'" id="pfact'.$i.$y.'" value="'.$rowp['pfact'].'"/></td>';
			/*	$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="pcost'.$i.$y.'" id="pcost'.$i.$y.'" onchange="getpmatcost('.$i.$y.');" value="'.floatval($rowp['mcost'])/(floatval($rowp['qty'])>0 ? floatval($rowp['qty']) : 1).'" size="8"  style="text-align:right;"/> </td>';  
				$pline = $pline.'<td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="pval'.$i.$y.'" id="pval'.$i.$y.'" value="'.$rowp['mcost'].'" size="8" style="text-align:right;"/>'; 
				echo '<input type="hidden" name="pfact'.$i.$y.'" id="pfact'.$i.$y.'" value="'.$rowp['pfact'].'"/></td> </tr>'; 
				$ptot = $ptot + floatval($rowp['mcost']);	*/
			}	
			/*
	  		if( $grp ) { $pline = $pline.'<tr><td colspan="2"><hr></td></tr> 
				<tr><td></td> <td>PACKING TOTAL</td> <td></td> <td><input '.($grp ? 'type="text"' : 'type="hidden"').' name="ptot'.$i.'" id="ptot'.$i.'" value="'.$ptot.'" size="10" style="text-align:right;"/> </td></tr>'; 
				} */	
			echo $pline.'</table>';	
			echo '<input name="pcnt'.$i.'" id="pcnt'.$i.'" type="hidden" value="'.$y.'"/>';
			echo '<input name="perkg'.$i.'" id="perkg'.$i.'" type="hidden" value="'.$perkg.'"/>';
			echo '</div>';
			$i++;
        }
		echo'</table>';
 /* 
for($j=$i; $j<11; $j++){
	echo '<table cellspacing="12px" style="font-size:12px;margin:20px;">';
	echo '<tr><th>Lot No.</th>
			<th>Material</th>   
			<th>Measure</th>   
			<th>Quantity</th>
			<th>Packing</th>
			<th>Best Before </th></tr>';		
	echo '<tr><td><select name="mbatno'.$j.'" id="mbatno'.$j.'" style="width:100px;" onchange="getrmdets('.$j.');">'.selrawmats($conn).'</select> <input type="hidden" id="rid'.$j.'" name="rid'.$j.'" value="'.$rid.'"/> <input type="hidden" id="sku'.$j.'" name="sku'.$j.'" value="'.$sku.'"/></td>
			<td><input name="mat'.$j.'" id="mat'.$j.'" type="text" size="30" value=""/> <input type="hidden" id="costp'.$j.'" value="0"/></td>
            <td align="center"><div class="styled-select"><select id="um'.$j.'" name="um'.$j.'" style="width:80px"> <option value="" selected>Select Measure</option>
                <option value="KG" selected>KG</option>
                <option value="BAG">BAG</option>
                <option value="EA">EA</option>
                <option value="PC">PC</option>
                </select></div></td>
            <td><input name="iqty'.$j.'" id="iqty'.$j.'" type="text" size="10" /></td>
			<td><select name="ptype'.$j.'" id="ptype'.$j.'" onchange="getpmats('.$j.');">'.selptypes($conn).'</select></td>
			<td><input name="mbatno'.$j.'" id="mbatno'.$j.'" type="text" size="15" /></td>
            <td><input name="bbefore'.$j.'" id="bbefore'.$j.'" type="text" size="10" /></td>
			</tr>';
	echo '<tr><td colspan="7"><div id="packmats'.$j.'"></div></td></tr>';	
	echo '</table>';
    }
	*/
 echo '<table cellspacing="12px" style="font-size:12px;margin:20px;">';
echo '<tr>  
        <div id="btnholder">
	<td> <input class="submitbutton" name="saveedentry" type="submit" value="Save Entry" /> </td>
        <td><a href="stocks.php" tyle="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
        </div>
    </tr>';
echo '</table></center>
</form>';  
}
                                                                // Save edited RO
elseif (isset($_POST['saveedentry'])) {
  $rono =  mysqli_real_escape_string($conn, $_POST['rono']);  
  echo '<div id="breadcrumbrm">Saving Edited Batch No.'.$rono.' </div>'; 
  $idate = mysqli_real_escape_string($conn, $_POST['idate']);
  $storeid = mysqli_real_escape_string($conn, $_POST['storeid']);

  $sqlidate = substr($idate,6,4)."-".substr($idate,3,2)."-".substr($idate,0,2);

                                                      // deleting old data from rmouts table
    $sql = "DELETE FROM rmouts WHERE rono = '$rono'";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
	                                                  // deleting old data from pmouts table
    $sql = "DELETE FROM pmouts WHERE rono = '$rono'";
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
   
 $i=1;
  if (($_POST['mbatno'.$i] !== "") && ($_POST['mbatno'.$i] !== NULL)){ 
	$rid = mysqli_real_escape_string($conn, $_POST['rid'.$i]);
    $recpnam =getrawmatname($conn, $rid);		$sku = getrawsku($conn, $rid);
    $iqty = mysqli_real_escape_string($conn, $_POST['iqty'.$i]);
	$ptype = mysqli_real_escape_string($conn, $_POST['ptype'.$i]);
	$pcnt = mysqli_real_escape_string($conn, $_POST['pcnt'.$i]);
    $um = mysqli_real_escape_string($conn, $_POST['um'.$i]);
    $ts = date("Y-m-d-H-i-s");
    $mbatno = mysqli_real_escape_string($conn, $_POST['mbatno'.$i]);
    $bbefore = mysqli_real_escape_string($conn, $_POST['bbefore'.$i]);
	$bserial = mysqli_real_escape_string($conn, $_POST['bserial'.$i]);
	$fpsku = mysqli_real_escape_string($conn, $_POST['fpsku'.$i]);
//	$bcost = mysqli_real_escape_string($conn, $_POST['bcost'.$i]);
//	$ucost = mysqli_real_escape_string($conn, $_POST['ucost'.$i]);
	//$brand = strtoupper(mysqli_real_escape_string($conn, $_POST['brand'.$i]));
	$fqty = mysqli_real_escape_string($conn, $_POST['fqty'.$i]);
	 $eqty = mysqli_real_escape_string($conn, $_POST['eqty'.$i]);
        $ps1 = mysqli_real_escape_string($conn, $_POST['ps1'.$i]);
        $ps2 = mysqli_real_escape_string($conn, $_POST['ps2'.$i]);
        $ps3 = mysqli_real_escape_string($conn, $_POST['ps3'.$i]);
        $ps4 = mysqli_real_escape_string($conn, $_POST['ps4'.$i]);
		$po1 = mysqli_real_escape_string($conn, $_POST['po1'.$i]);
        $po2 = mysqli_real_escape_string($conn, $_POST['po2'.$i]);
        $po3 = mysqli_real_escape_string($conn, $_POST['po3'.$i]);
        $po4 = mysqli_real_escape_string($conn, $_POST['po4'.$i]);
        $wkst = mysqli_real_escape_string($conn, $_POST['wkst'.$i]);
        $wked = mysqli_real_escape_string($conn, $_POST['wked'.$i]);
	  $prr = mysqli_real_escape_string($conn, $_POST['prr'.$i]);
        $wkst = substr($wkst,6,4)."-".substr($wkst,3,2)."-".substr($wkst,0,2).substr($wkst,10,6); 
        $wked = substr($wked,6,4)."-".substr($wked,3,2)."-".substr($wked,0,2).substr($wked,10,6); 
                                                            // Inserting data into rmouts table
  //  $sql = "INSERT INTO rmouts (idate, rono, matname, brand, rid, sku, um, qty, ptype, dest, storeid, bcost, ucost, pkqty, invno, wkst, ps1, ps2, ps3, ps4, po1, po2, po3, po4, wked, ts) VALUES ('$sqlidate', '$rono', '$recpnam', '$brand', '$rid', '$sku', '$um', '$iqty', '$ptype', '$dest', '$storeid', '$bcost', '$ucost', '$fqty', '$invno', '$wkst', '$ps1', '$ps2', '$ps3', '$ps4', '$po1', '$po2', '$po3', '$po4', '$wked', '$ts')";
	$sql = "INSERT INTO rmouts (idate, rono, matname, bserial, rid, sku, um, qty, epqty, ptype, mbatno, storeid, pkqty, bbefore,fpsku, printed, wkst, wked, ps1, ps2, ps3, ps4, po1, po2, po3, po4, ts) VALUES ('$sqlidate', '$rono', '$recpnam', '$bserial','$rid', '$sku', '$um', '$iqty', '$eqty', '$ptype', '$mbatno', '$storeid', '$fqty', '$bbefore','$fpsku','$prr', ".(($wkst == '--')  ? " DEFAULT, " : "'$wkst', ").(($wked == '--')  ? " DEFAULT, " : "'$wked', ")."'$ps1', '$ps2', '$ps3', '$ps4', '$po1', '$po2', '$po3', '$po4', '$ts')";  
	//echo $sql;
    $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
	
	for($y=1; $y<=intval($pcnt); $y++){	
		$pid = mysqli_real_escape_string($conn, $_POST['pid'.$i.$y]);
		$sku = mysqli_real_escape_string($conn, $_POST['pmsku'.$i.$y]);
		$matname = getpmatname($conn, $pid);		$um = getpmatum($conn, $pid);
		$pqty = mysqli_real_escape_string($conn, $_POST['pqty'.$i.$y]);
	//	$ucost = mysqli_real_escape_string($conn, $_POST['pcost'.$i.$y]);
	//	$mcost = mysqli_real_escape_string($conn, $_POST['pval'.$i.$y]);
	//	$sql = "INSERT INTO pmouts (rono, matname, pid, mcost, rid, qty, um, ptype, dest, isfp, ts) VALUES ('$rono', '$matname', '$pid', '$mcost', '$rid', '$pqty', '$um', '$ptype', '$dest', '2', '$ts')";
		$sql = "INSERT INTO pmouts (rono, sku, matname, pid, rid, qty, um, ptype, isfp, ts) VALUES ('$rono','$sku', '$matname', '$pid', '$rid', '$pqty', '$um', '$ptype','2', '$ts')";
		$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
	}
  }

  
  echo '<div id="dialog-message" title="Update Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Edited Batch No.'.$rono.' Saved!</p></div>';
}  

                                                                // do delete on RO
elseif (isset($_GET['d'])) {
	require_once('db_link.php');
  $rono =   $_GET['d'];
  echo '<div id="breadcrumbrm">Delete Batch No.'.$rono.' </div>';  
  $sql = "DELETE FROM rmouts WHERE rono = '$rono'";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  $sql = "DELETE FROM pmouts WHERE rono = '$rono'";
  $result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
  echo '<div id="dialog-message" title="Delete Confirmation !">
    <p><span class="ui-icon ui-icon-circle-check" style="float:left; margin:0 7px 50px 0;"></span>
    Batch No.'.$rono.' Deleted!</p></div>';
} 

                                                                // display RO List
else {
 echo '<form id="add_mat" action="#" method="post" name="user_form" enctype="multipart/form-data"> <div id="breadcrumbrm">Batch List GRP:'.$_SESSION['authgrp'].str_repeat('&nbsp;', 20);
 echo '<img  style="vertical-align:middle;" onclick="window.location.replace(`login.php`);" src="exit.png"> </img> <span style="font-size:12pt;">';
 echo $_SESSION['auser'];
 echo '</span> &nbsp;&nbsp; <a href="pmstocks.php" style="text-decoration:none;"> <input type="button"  style="width:100px;" value="PM Stocks" id="pms" name="pms" /></a> &nbsp;&nbsp;&nbsp;&nbsp; <input style="margin-right:80px;" type="file" name="file" />
            <input style="margin-left:-60px;" type="submit" class="submitbutton" id="impmaster" name="impmaster" value="Import Master"></div>';   
 echo '<center>'; 
 echo '<tr>  
        <div id="btnholder">';
	echo '<td> <input class="submitbutton" name="addnewsi" type="submit" value="Add New Batch" /> </td>';
			echo '<td><a href="stocks.php" style="text-decoration:none;"> <input type="button" class="submitbutton" value="Material Stocks"/></a></td>'; 
				echo '<td><a href="roreps.php" style="text-decoration:none;"> <input type="button" class="submitbutton" value="Batch Reports"/></a></td>'; 

	echo '<td><a href="printopenbats.php" style="text-decoration:none;"> </a> <input type="button" onclick="doopenbats()" class="submitbutton" value="Open Batches"/></td>';
    echo '</div>
    </tr>';
echo '</form></center><br/>';
 echo '<center><table cellspacing="10px" id="tablelist" style="width:80%;" class="display" cellpadding="10px"><tr>
    <th>Batch No.</th>   
    <th>Date</th>
    <th>SKU</th>
    <th>Material</th>
	<th>Measure</th>
	<th>Qty</th>
	<th>Packed Qty</th>
	<th>Store</th>
	<th>Lot No.</th>
	<th>FP Lot No.</th>
	<th>FPSKU</th>
	<th>Best Before</th>
	 <th>Status</th>
    <th>Action</th>
    </tr>'; 

$sql = "SELECT rono, idate, sku, matname, rid, ptype, bbefore, mbatno, qty, pkqty, wked, printed, storeid, bserial, fpsku FROM rmouts ORDER BY idate DESC, rono DESC;";
$result = mysqli_query($conn, $sql) or die(mysqli_error($conn));
while ($row = mysqli_fetch_assoc($result)) 
{
    echo '<tr>';
    echo'<td align="center">'.$row['rono'].'</td>';
    list($year, $month, $day) = explode('-', mysqli_real_escape_string($conn, $row['idate'])); 
    $bdt = implode("-", array($day, $month, $year));
    echo'<td align="center">'.$bdt.'</td>';
    echo'<td align="left">'.$row['sku'].'</td>';
    echo'<td align="left">'.$row['matname'].'</td>';
	echo'<td align="center">'.$row['ptype'].'</td>';
	echo'<td align="right">'.number_format($row['qty'],2).'</td>';
	echo'<td align="right">'.number_format($row['pkqty'],2).'</td>';
	echo'<td align="center">'.$row['storeid'].'</td>';
    echo'<td align="center">'.$row['mbatno'].'</td>';
	echo'<td align="center">'.$row['bserial'].'</td>';
	echo'<td align="center">'.$row['fpsku'].'</td>';
	echo'<td align="center">'.$row['bbefore'].'</td>';
	if($row['printed'] == '1') { $prr = 'Printed'; }
	else { $prr = 'Open'; }
	if($row['wked'] !== NULL) { $prr = 'Closed'; }
	echo'<td align="center">'.$prr.'</td>';
    echo '<td><a href="rmorders.php?g='.$row['rono'].'"> EDIT</a> &nbsp;&nbsp; <a href="rmorders.php?d='.$row['rono'].'"> DELETE</a> </td>';
    echo '</tr>';
}
echo '</table></center>';   
   
}
?>

<div style='height:15px;'></div>

</body>

</html>

<script>
$('#idate').datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' });
$('.datepicker').datetimepicker({ formatDate: 'd-m-Y H:i', format:'d-m-Y H:i' });  
</script>

<script>
$(document).ready(function() {
	

$( "#dialog-message" ).dialog({
			modal: true,
			width: 370,
			buttons: {
				Ok: function() {
					window.location.replace("rmorders.php");
				}
			}
}); 

	

function getpmatcost(inix){

};
																	// loops under pm table for pm cost and ucost calc

});

function getrmdets(inix){ 
if( $('#idate').val() == ""  ){
	alert("Please Input Date !");
	document.getElementById('mbatno'+inix).value = ""; 
}	
else { 	
 var rmatu = $.get("getrmdets.php?m="+$("#mbatno"+inix).val()+"&s="+$("#storeid").val(), function(data){ 
                                        var mybno = data.split(">");
										document.getElementById("mat"+inix).value = mybno[3];
                                        document.getElementById("um"+inix).value = mybno[0];
										document.getElementById("rid"+inix).value = mybno[4];
										document.getElementById("sku"+inix).value = mybno[5];
										document.getElementById("bbefore"+inix).value = mybno[6];
                                        document.getElementById("iqty"+inix).value = parseFloat(mybno[1]).toFixed(2);
                                        getpmats(inix);
																				
						});  
}						
};

function dopmss(){ 
	window.open("pmstocks.php","PM","width=900px,height=750px,scrollbar=yes");
};

function doopenbats(){ 
	window.open("openbats.php","Open Batches","width=900px,height=750px,scrollbar=yes");
};


function getpmats(idx){
var v = $('#mat'+idx).val();	var vv = v.slice(0,3);	
var d = new Date();
var pp =  (d.getMonth( )+1) + "-" + vv + "-" + d.getDate();   

var pdata = $.get("getpmatdets.php?ptype="+$('#ptype'+idx).val()+"&i="+idx,function(data){
				$('#packmats'+idx).html(data);	
				$('.datepickert').datetimepicker({ formatDate: 'd-m-Y H:i', format:'d-m-Y H:i' });
				//document.getElementById("brand"+idx).value = pp;
				if( idx > 1 ){ document.getElementById("wkst"+idx).value = $('#wkst1').val();  document.getElementById("wked"+idx).value = $('#wked1').val(); }
			});					     
};

function getpmcost(idx){
	var n = parseInt(document.getElementById("pcnt"+idx).value); 	 
	var pcost = 0.0;
	for(k=1; k<=n; k++) { 
		document.getElementById("pqty"+idx+k).value = (parseFloat($('#fqty'+idx).val()) * parseFloat($('#pfact'+idx+k).val())).toFixed(2);	
		};
};

function setbdate(){
if($('#idate').val() !==''){ 
    for(k=1; k<=11; k++) { document.getElementById("wkst"+k).value = $('#idate').val()+' 08:00:00';
    }
}    
};

</script>