<?php
session_start();
//check to see if user has logged in with a valid password
if ($_SESSION['authuser'] != 1 ) 
{
  echo "Sorry, but you don't have permission to view this page !";
  exit();
}
require('db_link.php');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> 
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"> 
<head>
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
 <title>MAIMUN SUPPLIES | Batch Reports </title>
 <script type="text/javascript" src="js/jquery-3.3.1.js"></script>
<script type="text/javascript" src="js/jquery.datetimepicker.full.js"></script> 
<script type="text/javascript" src="js/jquery-ui.js"></script>

<link rel="stylesheet" type="text/css" href="css/jquery-ui-1.10.4.custom.css" /> 
<link rel="stylesheet" type="text/css" href="css/main.css" />
<link rel="stylesheet" type="text/css" href="css/jquery-ui.css" />
<link rel="stylesheet" type="text/css" href="css/jquery.datetimepicker.css" />

<style type="text/css">
#btnholder{margin-left:3cm;}

.submitbutton{
width: 140px;
padding: 3px 2px 3px 2px;
text-align: center;
text-decoration:none;
  border: 1px solid #e5ebf2;
  color: #000;
  text-shadow: 0 1px rgba(0,0,0,0.1);
  background-color: #a5b4d3;
  background-image: -webkit-gradient(linear,left top,left bottom,from(#a5b4d3),to(#a5b4d3));
}

.styled-select select {
   background: #fff;
   padding: 3px;
   font-size: 14px;
   border: 1px solid #d9d9d9;
   height: 27px;
   -webkit-appearance: none;
}

  input  {
  display: inline-block;
  height: 26px;
  margin: 0;
  padding: 0 8px;
  background: #fff;
  border: 1px solid #d9d9d9;
  border-top: 1px solid #c0c0c0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  
  -webkit-border-radius: 1px;
  -moz-border-radius: 1px;
  border-radius: 1px;
  
   -moz-box-shadow:0 1px 2px #ddd;
   -webkit-box-shadow:0 1px 2px #ddd;
   box-shadow:0 1px 2px #ddd;
  }
  
#mat_add{
height: 30px;
border:solid 1px #DEDEDE;
background-color:#7CFC00;
color:#222222;
padding:5px 0 2px 0;
text-align:center;
font-weight:300;
font-size: 14px;
}
#selbatch { font-size: 12px; font-weight:300;}
</style>



</head>
<body>

<!-- Main Body starts here -->
<?php 
					// Material Reports menu
echo '<div id="breadcrumb">Batch Reports</div>';
echo '<br/>';
echo '<form id="selbatch" action="roreps.php" method="post" name="user_form">';
                                                           // Batches List
echo '<table align="center" id="recpnm" cellpadding="15px" cellspacing="20px">';

                                                // batch by ps1/2/3/4
echo '<tr>';
echo '<td><img style="vertical-align:middle"  src="empbatch.png" id="emprecshow">&nbsp;&nbsp;</img>&nbsp;&nbsp;&nbsp;  Batches List By Employee</td>';
echo '<td><label for="ddate">Start Date:</label> &nbsp; <input type="text" class="datepicker" id="ersdate" name="ersdate"  size="10" title="Valid Date Only"  value="'.date('d-m-Y').'" /></td>';
echo '<td><label for="edate">End Date:</label> &nbsp; <input type="text" class="datepicker" id="eredate" name="eredate"  size="10" title="Valid Date Only" value="'.date('d-m-Y').'" /></td>';

 $qry="SELECT DISTINCT ename FROM emprates ORDER BY ename";
 $qresult = mysqli_query($conn, $qry) or die ("Couldn't execute Employee Query!");
 $loptions="<SELECT name='ps' id='ps' style='width:180px;'>";
 $loptions .= "<option value='' selected></option>";
  while ($rowa=mysqli_fetch_array($qresult, MYSQLI_ASSOC)) {
   $loptions .= "<option value='".$rowa['ename']."'>".$rowa['ename']."</option>";
  }
  $loptions.="</SELECT>";

echo '<td><label for="recp">Employee:</label> &nbsp; '.$loptions.'</td>';
echo '</tr>';


																// batch by pmat
echo '<tr>';
echo '<td><img style="vertical-align:middle"  src="pmbatch.png" id="pmbatchshow">&nbsp;&nbsp;</img>&nbsp;&nbsp;&nbsp; Packing Material Batches List</td>';
echo '<td><label for="pmddate">Start Date:</label> &nbsp; <input type="text" class="datepicker" id="pmsdate" name="pmsdate"  size="10" title="Valid Date Only" value="'.date('d-m-Y').'"/></td>';
echo '<td><label for="pmedate">End Date:</label> &nbsp; <input type="text" class="datepicker" id="pmedate" name="pmedate"  size="10" title="Valid Date Only"  value="'.date('d-m-Y').'" /></td>';
                                        
 $qry="SELECT DISTINCT id, matname FROM pmat ORDER BY matname";
 $qresult = mysqli_query($conn, $qry) or die ("Couldn't execute Raw Material Query!");
 $loptions="<SELECT name='pid' id='pid' style='width:180px;'>";
 $loptions .= "<option value='' selected></option>";
  while ($rowa=mysqli_fetch_array($qresult, MYSQLI_ASSOC)) {
   $loptions .= "<option value='".$rowa['id']."'>".$rowa['matname']."</option>";
  }
  $loptions.="</SELECT>";

echo '<td><label for="recp">Packing Material:</label> &nbsp; '.$loptions.'</td>';
echo '</tr>';
echo '<tr>';
echo '<td></td>';
echo '<td></td>';
echo '</tr>';

																// batch by rm mat
echo '<tr>';
echo '<td><img style="vertical-align:middle"  src="rmats.png" id="rmbatchshow">&nbsp;&nbsp;</img>&nbsp;&nbsp;&nbsp; Material Batches List</td>';
echo '<td><label for="rmddate">Start Date:</label> &nbsp; <input type="text" class="datepicker" id="rmsdate" name="rmsdate"  size="10" title="Valid Date Only" value="'.date('d-m-Y').'"/></td>';
echo '<td><label for="rmedate">End Date:</label> &nbsp; <input type="text" class="datepicker" id="rmedate" name="rmedate"  size="10" title="Valid Date Only"  value="'.date('d-m-Y').'" /></td>';
                                        
 $qry="SELECT DISTINCT rid, matname FROM rmouts ORDER BY matname";
 $qresult = mysqli_query($conn, $qry) or die ("Couldn't execute Raw Material Query!");
 $loptions="<SELECT name='rid' id='rid' style='width:180px;'>";
 $loptions .= "<option value='' selected></option>";
  while ($rowa=mysqli_fetch_array($qresult, MYSQLI_ASSOC)) {
   $loptions .= "<option value='".$rowa['rid']."'>".$rowa['matname']."</option>";
  }
  $loptions.="</SELECT>";

echo '<td><label for="recp">Material :</label> &nbsp; '.$loptions.'</td>';
echo '</tr>';
echo '<tr>';
echo '<td></td>';
echo '<td></td>';
echo '</tr>';


																	// all emplyee-wise batch 
echo '<tr>';
echo '<td><img style="vertical-align:middle"  src="rmats.png" id="allrecshow">&nbsp;&nbsp;</img> &nbsp;&nbsp;&nbsp; Batches List</td>';
echo '<td><label for="asdate">Start Date:</label> &nbsp; <input type="text" class="datepicker" id="asdate" name="asdate"  size="10" title="Valid Date Only" value="'.date('d-m-Y').'"/></td>';
echo '<td><label for="aedate">End Date:</label> &nbsp; <input type="text" class="datepicker" id="aedate" name="aedate"  size="10" title="Valid Date Only"  value="'.date('d-m-Y').'" /></td>';
                                        
$qry="SELECT DISTINCT ename FROM emprates ORDER BY ename";
 $qresult = mysqli_query($conn, $qry) or die ("Couldn't execute Employee Query!");
 $loptions="<SELECT name='pss' id='pss' style='width:180px;'>";
 $loptions .= "<option value='' selected></option>";
  while ($rowa=mysqli_fetch_array($qresult, MYSQLI_ASSOC)) {
   $loptions .= "<option value='".$rowa['ename']."'>".$rowa['ename']."</option>";
  }
  $loptions.="</SELECT>";

echo '<td><label for="recp">Employee :</label> &nbsp; '.$loptions.'</td>';
echo '</tr>';
echo '<tr>';
echo '<td></td>';
echo '<td></td>';
echo '</tr>';
	
																// full batch details
echo '<tr>';
echo '<td><img style="vertical-align:middle"  src="rmats.png" id="fullrmbat">&nbsp;&nbsp;</img>&nbsp;&nbsp;&nbsp; Material Batches Details List</td>';
echo '<td><label for="bsno">Start No:</label> &nbsp; <input type="text" id="bsno" name="bsno"  size="10" title="Starting Batch No." value=""/></td>';
echo '<td><label for="beno">End No:</label> &nbsp; <input type="text" id="beno" name="beno"  size="10" title="Ending Batch No."  value="" /></td>';
 $qry="SELECT DISTINCT rid, matname FROM rmouts ORDER BY matname";
 $qresult = mysqli_query($conn, $qry) or die ("Couldn't execute Raw Material Query!");
 $loptions="<SELECT name='rid2' id='rid2' style='width:180px;'>";
 $loptions .= "<option value='' selected></option>";
  while ($rowa=mysqli_fetch_array($qresult, MYSQLI_ASSOC)) {
   $loptions .= "<option value='".$rowa['rid']."'>".$rowa['matname']."</option>";
  }
  $loptions.="</SELECT>";

echo '<td><label for="recp">Material :</label> &nbsp; '.$loptions.'</td></tr>';
echo '<tr> <td></td> <td><label for="bsd">Start Date:</label> &nbsp; <input type="text" id="bsd" name="bsd"  class="datepicker"  size="10" title="Starting Date" value="'.date('d-m-Y').'"/></td>';
echo '<td><label for="bed">End Date:</label> &nbsp; <input type="text" id="bed" name="bed" class="datepicker" size="10" title="Ending Date"  value="'.date('d-m-Y').'" /></td>';
echo '</tr>';
echo '</table>';



echo '<table cellpadding=3 cellspacing=4 align="center">
<tr>  
<div id="btnholder">
	 <td>  </td> 
     <td><a href="rmorders.php" style="text-decoration:none;"> <input type="button" class="submitbutton" value="Cancel"/></a> </td>
</div>
</tr>
</table>';
echo '</form> ';

?>


<!-- Main Body ends here -->

</body>

</html>
<script type="text/javascript">
$('.datepicker').datetimepicker({ timepicker:false, format:'d-m-Y', formatDate: 'd-m-Y' });

 $("#emprecshow").click(function() {
	if($('#ersdate').val() !=='' && $('#eredate').val() !=='' ) {
        window.open("empbatchrecs.php?sdate="+$('#ersdate').val()+"&edate="+$('#eredate').val()+"&ps="+$('#ps').val(),"Batch Report","width=800px,height=700px,scrollbars=1");
	}
  });
  
 $("#pmbatchshow").click(function() {
	if($('#pmsdate').val() !=='' && $('#pmedate').val() !=='' ) {
        window.open("pmbatchdet.php?sdate="+$('#pmsdate').val()+"&edate="+$('#pmedate').val()+"&pid="+$('#pid').val(),"Packing Report","width=800px,height=700px,scrollbars=1");
	}
  });
  
$("#rmbatchshow").click(function() {
	if($('#rmsdate').val() !=='' && $('#rmedate').val() !=='' ) {
        window.open("rmbatchdet.php?sdate="+$('#rmsdate').val()+"&edate="+$('#rmedate').val()+"&rid="+$('#rid').val(),"Material Report","width=800px,height=700px,scrollbars=1");
	}
  });
  
 $("#allrecshow").click(function() {
	if($('#asdate').val() !=='' && $('#aedate').val() !=='' ) {
        window.open("allbatchrecs.php?sdate="+$('#asdate').val()+"&edate="+$('#aedate').val()+"&ps="+$('#pss').val(),"Batch Report","width=800px,height=700px,scrollbars=1");
	}
  });
  
$("#fullrmbat").click(function() {
	if($('#bsno').val() !=='' && $('#beno').val() !=='' ) {
        window.open("fullbatchdet.php?s="+$('#bsno').val()+"&e="+$('#beno').val()+"&rid="+$('#rid2').val(),"Full Batch Report","width=3000px,height=700px,scrollbars=1");
	}
	else if($('#bsd').val() !=='' && $('#bed').val() !=='' ) {
        window.open("fullbatchdet.php?sd="+$('#bsd').val()+"&ed="+$('#bed').val()+"&rid="+$('#rid2').val(),"Full Batch Report","width=3000px,height=700px,scrollbars=1");
	}
  });  	
</script>